Profile.

### Hierarchy

- Profile

## Index

### Properties

- endTime
- nodes
- samples
- startTime
- timeDeltas

## Properties

### endTime

endTime: number

- Defined in node_modules/@types/node/inspector.d.ts:918

Profiling end timestamp in microseconds.

### nodes

nodes: ProfileNode[]

- Defined in node_modules/@types/node/inspector.d.ts:910

The list of profile nodes. First item is the root node.

### Optional samples

samples: number[]

- Defined in node_modules/@types/node/inspector.d.ts:922

Ids of samples top nodes.

### startTime

startTime: number

- Defined in node_modules/@types/node/inspector.d.ts:914

Profiling start timestamp in microseconds.

### Optional timeDeltas

timeDeltas: number[]

- Defined in node_modules/@types/node/inspector.d.ts:927

Time intervals between adjacent samples in microseconds. The first delta is relative to the profile startTime.

Generated using TypeDoc